Worker::shutdown
Worker::start
Worker
PHP Manual

# Worker::stack

Stacking

### Description

final public int Worker::stack ( Stackable `$work` )

Appends the referenced Stackable to the stack of the referenced Worker

### Parameters

`work`

  An object of type Stackable to be executed by the referenced Worker

### Return Values

The new length of the stack

### Examples

Example #1 Passing Stackables to Workers for execution in the Worker Thread

`<?php
class Work extends Stackable {
/** ... **/
public function run(){
/** ... **/
}
}
class My extends Worker {
public function run(){
/** ... **/
}
}
$my = new My();
/** ... **/
var_dump($my->stack(new Work()));
/** ... **/
?>`

The above example will output:

    int(1)